package com.red.circle.other.app.service.room;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.other.app.dto.clientobject.room.RoomMikeNumCO;
import com.red.circle.other.app.dto.clientobject.room.RoomMikeTypeCO;
import com.red.circle.other.app.dto.cmd.room.RoomMikeNumCmd;
import com.red.circle.other.app.dto.cmd.room.RoomMikeTypeCmd;
import java.math.BigDecimal;
import java.util.List;

/**
 * 房间麦克风.
 *
 * @author pengliang on 2023/9/21
 */
public interface RoomMikeService {

  BigDecimal purchasingRoomMikeNum(RoomMikeNumCmd cmd);

  List<RoomMikeNumCO> listRoomMikeNum(AppExtCommand cmd);

  BigDecimal purchasingRoomMikeType(RoomMikeTypeCmd cmd);

  List<RoomMikeTypeCO> listRoomMikeType(AppExtCommand cmd);
}
